# $Revision: 1.82 $, $Date: 2012/01/31 11:52:34 $
# TODO
# - make --with-libradius compile
#
# Conditional build:
%bcond_without	kerberos5	# build with GSSAPI support
%bcond_with	radius		# build with radius support
%bcond_with	hip		# build with Host Identity Protocol support
#
Summary:	User-space IPsec tools for the Linux IPsec implementation
Summary(pl.UTF-8):	Narzędzia przestrzeni użytkownika dla linuksowej implementacji IPsec
Name:		ipsec-tools
Version:	0.8.0
Release:	3
License:	BSD
Group:		Networking/Admin
Source0:	http://downloads.sourceforge.net/ipsec-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	b79aae3055a51f8de5c0f1b8ca6cf619
Source1:	%{name}-racoon.init
Source2:	%{name}-racoon.sysconfig
Source3:	%{name}.tmpfiles
URL:		http://ipsec-tools.sourceforge.net/
# http://downloads.sourceforge.net/openhip/ipsec-tools-0.6.6-hip.patch
Patch0:		%{name}-hip.patch
Patch1:		%{name}-gssapi.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:2.6
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
# http://portal-to-web.de/tacacs/libradius.php ?
%{?with_radius:BuildRequires:	libradius-devel}
BuildRequires:	readline-devel
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	libipsec = %{version}-%{release}
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_check_so	1

# needed to use /var/run/racoon as sockdir
%define		_localstatedir		/var/run

%description
IPsec-Tools is a port of the KAME Project's IPsec tools to the Linux
IPsec implementation. IPsec-Tools provides racoon, an IKE daemon;
libipsec, a PFKey implementation; and setkey, a security policy and
security association database configuration utility.

%description -l pl.UTF-8
IPsec-Tools to port narzędzi IPsec z projektu KAME do linuksowej
implementacji IPsec. IPsec-Tools dostarczają: racoona - demona IKE;
libipsec - implementację PFKey; oraz setkey - narzędzie konfiguracyjne
do polityki bezpieczeństwa oraz asocjacyjnej bazy danych
bezpieczeństwa.

%package -n libipsec
Summary:	Shared libipsec and libracoon libraries
Summary(pl.UTF-8):	Biblioteki współdzielone libipsec i libracoon
Group:		Libraries

%description -n libipsec
Shared libipsec and libracoon libraries.

%description -n libipsec -l pl.UTF-8
Biblioteki współdzielone libipsec i libracoon.

%package -n libipsec-devel
Summary:	Header files for libipsec and racoon libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libipsec i racoon
Group:		Development/Libraries
Requires:	libipsec = %{version}-%{release}

%description -n libipsec-devel
Header files for libipsec and racoon libraries.

%description -n libipsec-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libipsec i racoon.

%package -n libipsec-static
Summary:	Static libipsec and libracoon libraries
Summary(pl.UTF-8):	Biblioteki statyczne libipsec i libracoon
Group:		Development/Libraries
Requires:	libipsec-devel = %{version}-%{release}

%description -n libipsec-static
Static libipsec and libracoon libraries.

%description -n libipsec-static -l pl.UTF-8
Biblioteki statyczne libipsec i libracoon.

%prep
%setup -q
%{?with_hip:%patch0 -p1}
%patch1 -p1

%{__sed} -i 's!@INCLUDE_GLIBC@!!g' src/Makefile.am
%{__sed} -i 's/-Werror//' configure.ac
%{__sed} -i 's/-R\$[^ ]*\/lib//' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-adminport \
	--enable-rc5 \
	--enable-idea \
	--enable-hybrid \
	--enable-frag \
	%{?with_kerberos5:--enable-gssapi} \
	--enable-stats \
	--enable-dpd \
	--enable-natt \
	--enable-security-context \
	--with-kernel-headers=%{_includedir} \
	--with-readline \
	%{?with_radius:--with-libradius} \
	--with-libpam \
	--with-libldap \
	--enable-shared

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,racoon,sysconfig} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/racoon
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/racoon
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf
install src/racoon/samples/*.txt src/racoon/samples/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/racoon

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add racoon
if [ -f /var/lock/subsys/racoon ]; then
	/etc/rc.d/init.d/racoon restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/racoon start\" to start racoon." 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/racoon ]; then
		/etc/rc.d/init.d/racoon stop >&2
	fi
	/sbin/chkconfig --del racoon
fi

%post	-n libipsec -p /sbin/ldconfig
%postun	-n libipsec -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog src/racoon/{doc,samples} src/setkey/sample*
%attr(755,root,root) %{_sbindir}/plainrsa-gen
%attr(755,root,root) %{_sbindir}/racoon
%attr(755,root,root) %{_sbindir}/racoonctl
%attr(755,root,root) %{_sbindir}/setkey
%attr(754,root,root) /etc/rc.d/init.d/racoon
%attr(750,root,root) %dir %{_sysconfdir}/racoon
%attr(600,root,root) %{_sysconfdir}/racoon/*.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/racoon/*.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/racoon/*.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/racoon
/usr/lib/tmpfiles.d/%{name}.conf
%dir %{_localstatedir}/racoon
%{_mandir}/man5/racoon.conf.5*
%{_mandir}/man8/plainrsa-gen.8*
%{_mandir}/man8/racoon.8*
%{_mandir}/man8/racoonctl.8*
%{_mandir}/man8/setkey.8*

%files -n libipsec
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipsec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libipsec.so.0
%attr(755,root,root) %{_libdir}/libracoon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libracoon.so.0

%files -n libipsec-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipsec.so
%attr(755,root,root) %{_libdir}/libracoon.so
%{_libdir}/libipsec.la
%{_libdir}/libracoon.la
%{_includedir}/libipsec
%{_includedir}/racoon
%{_mandir}/man3/ipsec_*.3*

%files -n libipsec-static
%defattr(644,root,root,755)
%{_libdir}/libipsec.a
%{_libdir}/libracoon.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipsec-tools.spec,v $
Revision 1.82  2012/01/31 11:52:34  baggins
- release 3

Revision 1.81  2012/01/31 11:31:34  baggins
- added tmpfiles config for systemd

Revision 1.80  2011/08/03 06:13:46  baggins
- release 2

Revision 1.79  2011/03/26 08:04:56  qboosh
- updated to 0.8.0
- removed obsolete install patch
- fixed libipsec* descriptions

Revision 1.78  2011/02/20 12:28:37  qboosh
- unified sf URL

Revision 1.77  2010/11/13 12:07:56  pawelz
- release 8

Revision 1.76  2010/10/04 20:54:15  baggins
- rel 7
- another library with deps on symbols from program that uses it

Revision 1.75  2010/10/04 18:28:34  baggins
- rel 6

Revision 1.74  2010/04/11 06:27:32  arekm
- release 5

Revision 1.73  2009/12/14 12:13:31  baggins
- rel 4

Revision 1.72  2009/12/09 17:51:06  sparky
- BR: libselinux-devel

Revision 1.71  2009/12/09 13:39:14  baggins
- rel 3

Revision 1.70  2009/08/14 08:05:40  zawadaa
- up to 0.7.3

Revision 1.69  2009/07/03 23:45:17  baggins
- rel 5
- fixed install

Revision 1.68  2009/07/03 23:24:10  baggins
- rel 4

Revision 1.67  2009/07/03 23:23:06  baggins
- no parallel install

Revision 1.66  2009/07/03 23:19:52  baggins
- rel 3
- prevent multiple inclusions of gssapi.h

Revision 1.65  2009/07/02 22:28:33  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.64  2009/05/20 11:57:30  mguevara
- 0.7.2-1, CVE-2009-1574, CVE-2009-1632

Revision 1.63  2009/02/23 22:06:15  arekm
- release 3

Revision 1.62  2008/07/25 20:42:48  qboosh
- more verbose files, ghost soname symlinks

Revision 1.61  2008/07/24 09:40:23  zawadaa
- up to 0.7.1
- sucurity fixes!! and some features

Revision 1.60  2007/11/03 15:17:49  baggins
- rel 2

Revision 1.59  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.58  2007/08/30 05:26:55  qboosh
- cleanup

Revision 1.57  2007/08/29 23:49:33  areq
- final 0.7

Revision 1.56  2007/07/21 11:42:55  arekm
- up to 0.7 rc1

Revision 1.55  2007/04/08 21:50:33  zawadaa
- up to 0.6.7
- fixes a DoS in informationnal messages handling (CVE-2007-1841)
- STBR - security

Revision 1.54  2007/03/31 21:49:24  baggins
- rel 4
- s/heimdal/krb5/
- removed heimdal hacks

Revision 1.53  2007/03/12 18:29:31  gotar
- added BEET/HIP support

Revision 1.52  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.50  2006/12/23 20:06:34  qboosh
- fixed sock path (/var/racoon -> /var/run/racoon), package its dir
- release 3

Revision 1.49  2006/08/09 20:14:28  arekm
- rel 2

Revision 1.48  2006/06/16 06:39:05  zawadaa
- up to 0.6.6
- STBR

Revision 1.47  2006/04/16 21:53:53  glen
- fix chkconfig, rc-scripts deps

Revision 1.46  2006/02/07 12:19:50  zawadaa
- cleanups, yes satype-revert.patch is outdated ;-)
- STBR - it works on production

Revision 1.45  2006/02/04 23:19:56  areq
- 0.6.5
- satype-revert.patch outdated ?

Revision 1.44  2006/01/12 19:34:18  qboosh
- package racoon headers

Revision 1.43  2005/12/28 18:44:40  zawadaa
- add patch from Krzysztof Oledzki,
- now /32 tunnels works
- STBR

Revision 1.42  2005/12/10 21:14:45  areq
- 0.6.4

Revision 1.41  2005/11/21 22:08:45  areq
- 0.6.3

Revision 1.40  2005/10/17 23:07:00  areq
- 0.6.2

Revision 1.39  2005/10/04 22:50:08  zawadaa
- up to 0.6.2.beta2

Revision 1.38  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.37  2005/08/21 09:50:12  areq
- 0.6.1

Revision 1.36  2005/07/10 14:01:02  areq
- enable adminport (require by racoonctl)

Revision 1.35  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.34  2005/07/03 22:52:06  arekm
- enable krb

Revision 1.33  2005/07/01 20:41:12  qboosh
- simplified setup

Revision 1.32  2005/06/29 21:32:30  zawadaa
- up to 0.6

Revision 1.31  2005/06/18 17:15:17  ankry
- tabs

Revision 1.30  2005/06/18 17:11:06  qboosh
- unified macro usage, typo

Revision 1.29  2005/06/18 15:17:53  areq
- 0.6-0.rc1
- outdated remove-adminsock_path.patch

Revision 1.28  2005/06/12 13:59:31  areq
- add remove-adminsock_path.patch

Revision 1.27  2005/05/07 15:23:43  zawadaa
- new init
- add TODO

Revision 1.26  2005/04/16 19:54:09  zawadaa
- update to 0.6.beta1
- kerberos works

Revision 1.25  2005/04/01 20:30:10  darekr
- simplified %setup

Revision 1.24  2005/03/14 20:07:43  darekr
- unified

Revision 1.23  2005/02/19 01:58:05  zawadaa
- update to 0.5
- GSSAPI is broken for now - don't build by default
- STBR for test please

Revision 1.22  2005/02/04 13:40:06  zawadaa
- update to 0.5rc2
- --with kerberos5 doesn't build - gssapi problem
- NFY

Revision 1.21  2005/02/03 15:30:34  zawadaa
- update do 0.5rc1
- s/perl/sed/g
- doesn't build, need help

Revision 1.20  2004/11/06 16:19:40  arekm
- 0.5pre

Revision 1.19  2004/06/16 17:17:55  paszczus
- updated to 0.3.3

Revision 1.18  2004/05/20 07:52:31  paszczus
- updated to 0.3.2

Revision 1.17  2004/04/20 23:14:46  krzak
- up to 0.3.1

Revision 1.16  2004/04/16 10:22:08  pluto
- updated to 0.2.5 (security update).

  ( racoon does not verify digital signatures on Phase1 packets.
    this means that anybody holding the correct X.509 certificate
    would be able to establish a connection, even if they did not
    have the corresponding private key)

- bcond renamed (s/kerberos/kerberos5/).

Revision 1.15  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.14  2004/03/02 11:34:19  qboosh
- updated to 0.2.4, removed obsolete patches, updated ac_am patch
- added salen and install patches, kerberos support builds now

Revision 1.13  2004/03/02 10:19:50  qboosh
- build with llh, strict internal deps
- make use of kerberos bcond - but doesn't build now

Revision 1.12  2004/03/02 05:48:29  aredridel
- add BR: openssl-devel
- add --with kerberos

Revision 1.11  2004/01/03 02:43:55  aredridel
- fixed borked build system more

Revision 1.10  2004/01/03 00:43:17  aredridel
- fix build without dist_kernel

Revision 1.9  2003/12/12 08:11:36  mguevara
- added customized patches from sourceforge (see comments for the ipsec-tools
  patches)
- release 3 (v. 0.2.2)
- tested on two fresh 2.6.0-test10 kernel machines (Nest and Ac)

Revision 1.8  2003/11/27 12:35:04  mguevara
- rel 2 (v. 0.2.2)
- added racoon.init start|stop|restart|status
- added simple patch to racoon.conf which removes CAST128 (do we support
  this encryption?) to no-error default-config startup

Revision 1.7  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.6  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.5  2003/07/15 08:38:16  qboosh
- base R: libipsec

Revision 1.4  2003/07/14 18:58:32  qboosh
- pl, cleanup

Revision 1.3  2003/07/11 23:45:40  arekm
- fix md5

Revision 1.2  2003/07/11 23:37:08  arekm
- almost everything is here (only racoon.init needs to be written)

Revision 1.1  2003/07/11 23:04:08  arekm
- unfinished
